<?php
	require_once("../config/connect.php");
	
	function array_anzeigen($ergebnis)
	{
		echo "<table><tr>";
		foreach ($ergebnis[0] as $feld=>$wert)
		{
			echo "<th>$feld</th>";
		}
		echo "</tr>";
		foreach ($ergebnis as $line)
		{
			echo "<tr>";
			foreach ($line as $feld=>$wert)
			{
				echo "<td>$wert</td>";
			}
			echo "</tr>";
		}
		echo "</table>";
	}
	
	$id=22;
	echo "Zahlungen je Bon<br>";
	$ergebnis=array();
	$Q1=mysql_query("select abgeschlossener_bon_zahlung.bon_id, abgeschlossener_bon_zahlung.name as name, FORMAT(zahlbetrag, 2, 'de_DE') as betrag, kassastand_wirksam, einnahmen_wirksam 
				FROM abgeschlossener_bon_zahlung 
				LEFT JOIN abgeschlossener_bon ON abgeschlossener_bon_zahlung.bon_id=abgeschlossener_bon.bon_id 
				LEFT JOIN zahlungsart ON abgeschlossener_bon_zahlung.name=zahlungsart.name WHERE kassa_abschluss_id='".$id."'");
	while ($row1=mysql_fetch_assoc($Q1))
	{
		array_push($ergebnis, $row1);
	}
	array_anzeigen($ergebnis);
	
	echo "Steuern je Bon<br>";
	$ergebnis=array();
	$sql="select abgeschlossener_bon.bon_id , FORMAT(SUM(gesamt_betrag), 2, 'de_DE') as betrag_netto, FORMAT(SUM(gesamt_betrag*(1+tax_rate)), 2, 'de_DE') as betrag_brutto 
						FROM abgeschlossener_bon_steuern
						LEFT JOIN abgeschlossener_bon ON abgeschlossener_bon_steuern.bon_id=abgeschlossener_bon.bon_id
						WHERE kassa_abschluss_id='".$id."' GROUP BY bon_id";
	$Q1=mysql_query($sql);
	while ($row1=mysql_fetch_assoc($Q1))
	{
		array_push($ergebnis, $row1);
	}
	array_anzeigen($ergebnis);				
	
?>